Bug 212271 - redhat-config-netboot requires X even though there are command line tools like pxeos
redhat-config-netboot requires X even though there are command line tools lik...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: system-config-netboot (Show other bugs)
4.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-25 18:35 EDT by Joseph Womack
Modified: 2008-07-24 15:33 EDT (History)
0 users

See Also:
Fixed In Version: RHBA-2008-0672
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 15:33:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
install dependecies for netboot after added the Suggested resolutions (3.74 KB, text/plain)
2006-10-25 18:35 EDT, Joseph Womack
no flags Details

  None (edit)
Description Joseph Womack 2006-10-25 18:35:53 EDT
Description of problem:
When you perform a minimal install and then try to install redhat-config-netboot
it fails on dependencies.  The command pxeos is a command line tool (according
to the documentation) and should not require X, gnome, etc.

Version-Release number of selected component (if applicable):
RHEL 4 Update 3
system-config-netboot-0.1.32-1_EL4.i386.rpm

How reproducible:


Steps to Reproduce:
1. Perform a minimail install of RHEL 4 Update 3
2. Reboot, login as root, mount CD(s)
3. rpm -ivh system-config-netboot-0.1.32-1_EL4.i386.rpm
  
Actual results:
[root@Installer rhel4]# rpm -ivh
./disk1/RedHat/RPMS/system-config-netboot-0.1.32-1_EL4.i386.rpm
warning: ./disk1/RedHat/RPMS/system-config-netboot-0.1.32-1_EL4.i386.rpm: V3 DSA
signature: NOKEY, key ID db42a60e
error: Failed dependencies:
 gnome-python2 is needed by system-config-netboot-0.1.32-1_EL4.i386
 gnome-python2-canvas is needed by system-config-netboot-0.1.32-1_EL4.i386
 pygtk2 is needed by system-config-netboot-0.1.32-1_EL4.i386
 pygtk2-libglade is needed by system-config-netboot-0.1.32-1_EL4.i386
    Suggested resolutions:
 gnome-python2-2.6.0-3.i386.rpm
 gnome-python2-canvas-2.6.0-3.i386.rpm
 pygtk2-2.4.0-1.i386.rpm
 pygtk2-libglade-2.4.0-1.i386.rpm


Expected results:
Perform the install and have pxeos available to use.

Additional info:
Comment 1 Joseph Womack 2006-10-25 18:35:53 EDT
Created attachment 139420 [details]
install dependecies for netboot after added the Suggested resolutions
Comment 3 Fabio Olive Leite 2007-11-12 15:44:24 EST
Reassigning to component owner.
Comment 5 RHEL Product and Program Management 2008-01-11 07:15:35 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 13 errata-xmlrpc 2008-07-24 15:33:06 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0672.html

Note You need to log in before you can comment on or make changes to this bug.